/*
 *  ===============================================================
 *  Student.java: Create student objects ...
 *  ===============================================================
 */

package association03;

public class Student {
    private int id;
    private String name;
    
    private Department department;

    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public Department getDepartment() {
        return department;
    }
    
    public void setDepartment(Department department) {
        this.department = department;
    }

    public String toString() {
       String s = "Student: " + getName() + " id: " + getId() + "\n";
       if ( getDepartment() != null ) 
          s = s + "Department: " + getDepartment() + "\n";

       return s;
    }
}
