/**
 *  =======================================================================
 *  EnergyDataItem.java:
 *  =======================================================================
 */

package arraylist06;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.HashMap;
import java.util.HashSet;
import java.util.TreeMap;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.Set;
import java.util.*;

public class EnergyDataItem {
   boolean DEBUG = false;
   LinkedHashMap<String,String> data;

   public EnergyDataItem () {
      data = new LinkedHashMap<String,String> ();
   }

   // ====================================================
   // Add entry to data item ...
   // ====================================================

   public void add ( String name, String value ) {
      data.put (name, value);
   }

   // ====================================================
   // Retrieve specific items ...
   // ====================================================

   public String get ( String name ) {
      return data.get( name );
   }

   // ====================================================
   // Create string representation of energy data item ...
   // ====================================================

   public String toString() {
      StringBuffer buf = new StringBuffer();
      buf.append( String.format("%s ... \n", data.toString() ));
      return buf.toString();
   }
}
