/*
 * ======================================================================
 * Quantity.java:
 *
 * Written by: Mark Austin
 * ======================================================================
 */

package symbol02.datatypes;

public class Quantity {
   private String     sName;  // name ...
   private double     value;  // value ...
   private Dimensions dimen;  // dimensions ...

   // Constructor method .....

   public Quantity() {
      dimen = new Dimensions();
   } 

   public Quantity( String sName ) {
      this.sName = sName;
      dimen = new Dimensions();
   } 

   // =================================================
   // Set/get quantity attributes ....
   // =================================================

   public void setName ( String sName ) {
      this.sName = sName;
   }

   public String getName () {
      return sName;
   }

   public void setValue ( double value ) {
      this.value = value;
   }

   public double getValue () {
      return value;
   }

   public void setDimensions ( Dimensions dimen ) {
      this.dimen = dimen;
   }

   public Dimensions getDimensions () {
      return dimen;
   }

   // =================================================
   // Add quantities ....
   // =================================================

   public Quantity add( Quantity a ) {
      Quantity result = new Quantity();
      return result;
   }

   // Multiply quantities ....

   public Quantity mult( Quantity a ) {
      Quantity result = new Quantity();
      return result;
   }

   // String representation of quantities ...

   public String toString() {
      StringBuffer buf = new StringBuffer();
      buf.append("Quantity: " + this.sName + "\n");
      buf.append("value = " + this.value + "\n");
      buf.append( dimen.toString() );
      return buf.toString();
   }

   // =========================================================
   // Exercise methods in Quantity ....
   // =========================================================

   public static void main( String args [] ) {

      System.out.println("");
      System.out.println("*** Exercise methods in aladdin/Quantity ...");
      System.out.println("*** ========================================== ");

      Quantity q01 = new Quantity();
      System.out.println ("Quantity q01 ... " );
      System.out.println ( q01.toString() );

   }

}
